Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf.idpdisco
Class DescriptionImpl

    java.lang.Object
      org.opensaml.xml.AbstractXMLObject
          org.opensaml.xml.validation.AbstractValidatingXMLObject
              org.opensaml.common.impl.AbstractSAMLObject
                  edu.internet2.middleware.shibboleth.wayf.idpdisco.LocalizedNameImpl
                      edu.internet2.middleware.shibboleth.wayf.idpdisco.DescriptionImpl

All Implemented Interfaces:
  Description, LocalizedName, org.opensaml.common.SAMLObject, org.opensaml.xml.LangBearing, org.opensaml.xml.validation.ValidatingXMLObject, org.opensaml.xml.XMLObject

    public class DescriptionImpl

extends LocalizedNameImpl
implements Description

Concrete implementation of `Description`.

Field Summary

Fields inherited from interface edu.internet2.middleware.shibboleth.wayf.idpdisco.Description
`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME`

Fields inherited from interface edu.internet2.middleware.shibboleth.wayf.idpdisco.LocalizedName
`TYPE_LOCAL_NAME`

Fields inherited from interface org.opensaml.xml.LangBearing
`XML_LANG_ATTR_LOCAL_NAME, XML_LANG_ATTR_NAME`

Constructor Summary
`protected` | `DescriptionImpl(String namespaceURI, String elementLocalName, String namespacePrefix)` Constructor.

Method Summary
`org.opensaml.saml2.metadata.LocalizedString` | `getDescription()` Gets the description of the EndPoint.
`void` | `setDescription(org.opensaml.saml2.metadata.LocalizedString newDescription)` Sets the description of the EndPoint.

Methods inherited from class edu.internet2.middleware.shibboleth.wayf.idpdisco.LocalizedNameImpl
`getName, getOrderedChildren, getXMLLang, setName, setXMLLang`

Methods inherited from class org.opensaml.common.impl.AbstractSAMLObject
`equals, prepareForAssignment`

Methods inherited from class org.opensaml.xml.validation.AbstractValidatingXMLObject
`deregisterValidator, getValidators, registerValidator, validate, validateChildren`

Methods inherited from class org.opensaml.xml.AbstractXMLObject
`addNamespace, detach, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, removeNamespace, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.internet2.middleware.shibboleth.wayf.idpdisco.LocalizedName
`getName, setName`

Methods inherited from interface org.opensaml.xml.validation.ValidatingXMLObject
`deregisterValidator, getValidators, registerValidator, validate`

Methods inherited from interface org.opensaml.xml.XMLObject
`addNamespace, detach, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, removeNamespace, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

Methods inherited from interface org.opensaml.xml.LangBearing
`getXMLLang, setXMLLang`

Constructor Detail

### DescriptionImpl

    protected DescriptionImpl(String namespaceURI,
                              String elementLocalName,
                              String namespacePrefix)

  Constructor.

  Parameters:
    `namespaceURI` - the namespaceURI
    `elementLocalName` - the elementLocalName
    `namespacePrefix` - the namespacePrefix

Method Detail

### getDescription

    public org.opensaml.saml2.metadata.LocalizedString getDescription()

  Gets the description of the EndPoint.

  Specified by:
    `getDescription` in interface `Description`
  Returns:
    the description of the EndPoint

### setDescription

    public void setDescription(org.opensaml.saml2.metadata.LocalizedString newDescription)

  Sets the description of the EndPoint.

  Specified by:
    `setDescription` in interface `Description`
  Parameters:
    `newDescription` - description of the EndPoint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.